"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-313/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A200>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A2A0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A340>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A3E0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A480>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A520>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A5C0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A660>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A700>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A7A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A840>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A8E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3A980>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AA20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AAC0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AB60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AC00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3ACA0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AD40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3ADE0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AE80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AF20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3AFC0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B060>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B100>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B1A0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B240>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B2E0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B380>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B420>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B4C0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B560>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B600>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B6A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B740>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B7E0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B880>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B920>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3B9C0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BA60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BB00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BBA0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BC40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BCE0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BD80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BE20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BEC0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF3BF60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF780E0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78180>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78220>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF782C0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78360>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78400>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF784A0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78540>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF785E0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78680>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78720>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF787C0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78860>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78900>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF789A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78A40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78AE0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78B80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78C20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78CC0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78D60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78E00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78EA0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78F40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF78FE0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79080>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79120>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF791C0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79260>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79300>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79440>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF793A0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF794E0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79580>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000117FCF79620>)]
name: str = 'fr_HOCCN'
